Bug 117077 - astro/boinc-setiathome-enhanced on amd64 compile just fine
Summary: astro/boinc-setiathome-enhanced on amd64 compile just fine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-10 18:40 UTC by Milos Vyletel
Modified: 2008-01-06 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (362 bytes, patch)
2007-10-10 18:40 UTC, Milos Vyletel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Vyletel 2007-10-10 18:40:00 UTC
Port astro/boinc-setiathome-enhanced is marked broken for amd64
BROKEN=        Does not compile

but it compiles just fine for me, I'm runnig it on core 2 quad cpu with no problem at all.

Fix: Apply attached patch

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-10-10 18:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2007-10-14 13:01:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 3 dfilter service freebsd_committer 2008-01-06 18:00:53 UTC
mi          2008-01-06 18:00:46 UTC

  FreeBSD ports repository

  Modified files:
    astro/boinc-setiathome-enhanced Makefile 
  Added files:
    astro/boinc-setiathome-enhanced/files patch-amd64 
  Log:
  Patch the vendor's configure to properly detect amd64 (rather than
  x86_64). This should unbreak the port for amd64 on all releases.
  
  Also affects:
  
  PR:     ports/117077
  
  Approved by:    maintainer      (Rene Ladan)
  Approved by:    last committer  (lwhsu)
  
  Revision  Changes    Path
  1.13      +1 -1      ports/astro/boinc-setiathome-enhanced/Makefile
  1.1       +9 -0      ports/astro/boinc-setiathome-enhanced/files/patch-amd64 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Mikhail Teterin freebsd_committer 2008-01-06 18:03:31 UTC
State Changed
From-To: feedback->closed

The recently added patch should fix this port on amd64 
for all releases, not just on the submitter's 7.x